﻿using System;
using Syncfusion.SfCalendar.iOS;
using UIKit;

namespace WeekDaySample
{
    public partial class ViewController : UIViewController
    {
        SFCalendar calendar;
        SFMonthViewSettings monthViewSettings;


        protected ViewController(IntPtr handle) : base(handle)
        {
            // Note: this .ctor should not contain any initialization logic.
        }

        public override void ViewDidLoad()
        {
            base.ViewDidLoad();

            calendar = new SFCalendar();
            calendar.Frame = new CoreGraphics.CGRect(0, 50, this.View.Frame.Width, this.View.Frame.Height);
            //calendar.Frame= new CoreGraphics.CGRect(0,100,this.View.w)
            monthViewSettings = new SFMonthViewSettings();
            monthViewSettings.DayLabelBackgroundColor = UIColor.Green;
            monthViewSettings.DayHeaderFormat = "EEE";
            calendar.MonthViewSettings = monthViewSettings;          
            calendar.ShowNavigationButtons = true;


            this.Add(calendar);
        }

        public override void DidReceiveMemoryWarning()
        {
            base.DidReceiveMemoryWarning();
            // Release any cached data, images, etc that aren't in use.
        }
    }
}
